const lowp int GAUSSIAN_SAMPLES = 9;

attribute vec4 aPosition;
attribute vec4 aTextureCoord;

uniform highp float texelWidthOffset;
uniform highp float texelHeightOffset;
uniform highp float blurSize;

varying highp vec2 blurCoordinates[GAUSSIAN_SAMPLES];

void main() {
    int multiplier = 0;
    highp vec2 blurStep;
    highp vec2 vTextureCoord = aTextureCoord.xy;
    highp vec2 singleStepOffset = vec2(texelHeightOffset, texelWidthOffset) * blurSize;

    for (lowp int i = 0; i < GAUSSIAN_SAMPLES; i++) {
        multiplier = (i - ((GAUSSIAN_SAMPLES - 1) / 2));
        blurStep = float(multiplier) * singleStepOffset;
        blurCoordinates[i] = vTextureCoord + blurStep;
    }

    gl_Position = aPosition;
}